Loading...
Searching...
No Matches
password_probe.c File Reference

password probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <pwd.h>`
`#include <paths.h>`
`#include <lastlog.h>`
`#include "_seap.h"`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include "common/debug_priv.h"`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "password_probe.h"`
Include dependency graph for password_probe.c:

## Data Structures

struct | result_info

## Functions

int | password_probe_offline_mode_supported ()
int | password_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

password probe

Author
  "Steve Grubb" sgrub.nosp@m.b@re.nosp@m.dhat..nosp@m.com

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a password_object as defined in OVAL 5.4 and 5.5.